## bibtexparser 0.6.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BibtexParser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BibtexParser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BibtexParser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BibtexParser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
bibtexparser (0.6.1-1) unstable; urgency=low

  * Initial uplolad (Closes: #805891)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 24 Nov 2015 10:40:40 +0100

=== debian/control ===
Source: bibtexparser
Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python-sphinx,
               python-unittest2,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
               python3-unittest2
Standards-Version: 3.9.6
Homepage: https://github.com/sciunto-org/python-bibtexparser

Package: python-bibtexparser
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 2 version of the package

Package: python3-bibtexparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 3 version of the package

Package: python-bibtexparser-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for BibtexParser
 This package contains HTML documentation for python(3)-bibtexparser
 .
 An online reference is available
 at https://bibtexparser.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bibtexparser

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs && make html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="nosetests -v $(CURDIR)/$(PYBUILD_NAME)/tests"

override_dh_installdocs:
	dh_installdocs -ppython-bibtexparser-doc docs/build/html
	dh_installdocs -A

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/bibtexparser/bibtexparser-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bibtexparser 0.6.2

=== debian/changelog ===
bibtexparser (0.6.2-3) unstable; urgency=medium

  * d/control:
    - bump Standards-Version
    - add autopkgtest-pkg-python testsuite
  * d/copyright:
    - use https for Format field
    - exclude upstream dot files from new releases with Files-Excluded section
  * Update d/watch

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 07 Nov 2017 15:26:37 +0100

bibtexparser (0.6.2-2) unstable; urgency=medium

  * d/control:
    - remove python{3}-nose
    - add VCS-* and update Maintainer field, add myself to Uploaders
    - cme fix dpkg ( bump Standards-Version, update Vcs-* fields )
  * d/rules:
    - use pybuild for testing
    - exclude test_bwriter.py test for python3.x
  * add d/.git-dpm
  * d/watch: get the upstream source files from github
  * Imported Upstream version 0.6.2

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 10 Feb 2016 09:51:20 +0100

=== debian/control ===
Source: bibtexparser
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python-unittest2,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-unittest2
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/bibtexparser.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/bibtexparser.git
Homepage: https://github.com/sciunto-org/python-bibtexparser
Testsuite: autopkgtest-pkg-python

Package: python-bibtexparser
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 2 version of the package

Package: python3-bibtexparser
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 3 version of the package

Package: python-bibtexparser-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for BibtexParser
 This package contains HTML documentation for python(3)-bibtexparser
 .
 An online reference is available
 at https://bibtexparser.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bibtexparser
export PYBUILD_BEFORE_TEST=cp -r {dir}/bibtexparser {build_dir};cd {build_dir};
export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bibtexparser {build_dir}; \
 rm -f {build_dir}/bibtexparser/tests/test_bwriter.py;cd {build_dir};
export PYBUILD_TEST_ARGS={build_dir}/bibtexparser/tests/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs && make html

override_dh_installdocs:
	dh_installdocs -ppython-bibtexparser-doc docs/build/html
	dh_installdocs -A

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds \
  https://github.com/sciunto/python-bibtexparser/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## bibtexparser 1.1.0%2Bds

=== requirements.txt ===
future>=0.16.0
pyparsing>=2.0.3
unittest2>=1.1.0

=== debian/control ===
Source: bibtexparser
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-future,
               python-pyparsing,
               python-setuptools,
               python-sphinx,
               python-unittest2,
               python3-all,
               python3-future,
               python3-pyparsing,
               python3-setuptools,
               python3-sphinx,
               python3-unittest2
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/bibtexparser
Vcs-Git: https://salsa.debian.org/python-team/modules/bibtexparser.git
Homepage: https://github.com/sciunto-org/python-bibtexparser

Package: python-bibtexparser
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 2 version of the package

Package: python3-bibtexparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 3 version of the package

Package: python-bibtexparser-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for BibtexParser
 This package contains HTML documentation for python(3)-bibtexparser
 .
 An online reference is available
 at https://bibtexparser.readthedocs.org/

=== debian/tests/control ===
Tests: python-bibtexparser
Depends: @, python-future, python-unittest2
Restrictions: allow-stderr

Tests: python3-bibtexparser
Depends: @, python3-future, python3-unittest2
Restrictions: allow-stderr

## bibtexparser 1.1.0+ds

=== debian/changelog ===
bibtexparser (1.1.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * Fix up autopkgtest to test for supported versions rather than ones that
    happen to be installed (Fix autopkgtest regression blocking python3.8 as
    default transition)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Mar 2020 18:22:27 -0400

bibtexparser (1.1.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Fix doc-base.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 14:53:24 +0200

bibtexparser (1.1.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

  [ Alexandre Mestiashvili ]
  * New upstream version 1.1.0+ds
  * Bump Policy to 4.3.0
  * Add python{,3}-unittest2 do d/tests/control

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 23 Jan 2019 09:22:17 +0100

bibtexparser (1.0.1+ds-2) unstable; urgency=medium

  * Allow stderr and make tests less verbose

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 24 Nov 2018 09:50:02 +0000

bibtexparser (1.0.1+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout

  [ Alexandre Mestiashvili ]
  * Update d/watch, repository has moved
  * New upstream version 1.0.1+ds
  * Update d/control:
    - bump Policy to 4.2.1
    - set debhelper and compat to 11
    - update uploader's email
    - update build-deps
    - run wrap-and-sort
  * Update d/rules, force UTF8 locale, don't ship tests with the module
  * Update -docs install files, drop TODO
  * Update refrense to files in d/python-bibtexparser-doc.doc-base
  * Add autopkgtests via d/tests

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 23 Nov 2018 16:22:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,18 @@
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-future,
-               python-pyparsing,
-               python-setuptools,
-               python-sphinx,
-               python-unittest2,
                python3-all,
                python3-future,
                python3-pyparsing,
                python3-setuptools,
                python3-sphinx,
                python3-unittest2
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/bibtexparser
 Vcs-Git: https://salsa.debian.org/python-team/modules/bibtexparser.git
 Homepage: https://github.com/sciunto-org/python-bibtexparser
-
-Package: python-bibtexparser
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: Python library to parse bibtex files
- The bibtexparser module provides parsing and writing of BibTeX files
- functionality. The parsed data is returned as a simple BibDatabase object
- with the main attribute being entries representing bibliographic sources
- such as books and journal articles.
- .
- This is the Python 2 version of the package
 
 Package: python3-bibtexparser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bibtexparser
export PYBUILD_BEFORE_TEST=cp -r {dir}/bibtexparser {build_dir};cd {build_dir};
export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bibtexparser {build_dir}; \
 cd {build_dir};
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/bibtexparser/tests
export PYBUILD_AFTER_TEST_python3=rm -rf {build_dir}/bibtexparser/tests
export PYBUILD_TEST_ARGS={build_dir}/bibtexparser/tests/
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs && make html

override_dh_installdocs:
	dh_installdocs -ppython-bibtexparser-doc docs/build/html
	dh_installdocs -A

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds \
  https://github.com/sciunto-org/python-bibtexparser/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## bibtexparser 2.0.0b5+really1.4.1

=== debian/changelog ===
bibtexparser (2.0.0b5+really1.4.1-1) unstable; urgency=medium

  * Team upload.
  * Revert from 2.0.0 Beta to Latest stable upstream version since 2.0.0b5 is
    not recommended by upstream and causes bugs (at least in qiime #1060965)
  * d/watch: Do not report beta versions
  * Do not exclude harmless .files and leave upstream source untouched
  * Revert switch to pytest from unittest

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jan 2024 19:11:51 +0100

bibtexparser (2.0.0b5+ds-1) unstable; urgency=medium

  * New upstream version 2.0.0b5+ds (Closes: #1058642)
  * Drop d/python3-bibtexparser.docs
  * d/control, add python3-pytest{,-xdist,-cov}, bump policy to 4.6.2
  * d/rules, set DH_VERBOSE to 1, cleanup not needed PYBUILD vars
  * d/tests/python3-bibtexparser, switch to pytest from unittest
  * d/tests/control, add python3-pytest

  [ Alexandre Detiste ]
  * add new python3-pylatexenc dependency
  * set Rules-Requires-Root: no
  * use new dh-sequence-python3

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 04 Jan 2024 21:13:21 +0100

bibtexparser (1.1.0+ds-5.2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on python3-unittest2

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 17:54:25 +0100

bibtexparser (1.1.0+ds-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-future

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Dec 2023 00:41:32 +0100

bibtexparser (1.1.0+ds-5) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 15:47:03 +0100

bibtexparser (1.1.0+ds-4) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-bibtexparser-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 20:08:06 -0400

=== debian/control ===
Source: bibtexparser
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pyparsing,
               python3-setuptools,
               python3-sphinx,
               python3-pytest,
               python3-pytest-xdist,
               python3-pytest-cov,
               python3-pylatexenc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/bibtexparser
Vcs-Git: https://salsa.debian.org/python-team/packages/bibtexparser.git
Homepage: https://github.com/sciunto-org/python-bibtexparser
Rules-Requires-Root: no

Package: python3-bibtexparser
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 library to parse bibtex files
 The bibtexparser module provides parsing and writing of BibTeX files
 functionality. The parsed data is returned as a simple BibDatabase object
 with the main attribute being entries representing bibliographic sources
 such as books and journal articles.
 .
 This is the Python 3 version of the package

Package: python-bibtexparser-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for BibtexParser
 This package contains HTML documentation for python(3)-bibtexparser
 .
 An online reference is available
 at https://bibtexparser.readthedocs.org/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DH_VERBOSE=1
 export PYBUILD_NAME=bibtexparser
 export PYBUILD_BEFORE_TEST=cp -r {dir}/bibtexparser {build_dir};cd {build_dir};
 export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bibtexparser {build_dir}; \
@@ -10,7 +11,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds \
  https://github.com/sciunto-org/python-bibtexparser/tags .*/v?(\d[\d.]+)@ARCHIVE_EXT@

## bibtexparser 2.0.0b5+really1.4.3

=== requirements.txt ===
pyparsing>=2.0.3

=== debian/changelog ===
bibtexparser (2.0.0b5+really1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.0b5+really1.4.3 (Closes: #1085362)
  * Clean better (Closes: #1044034)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 23:30:57 +0100

=== debian/tests/control ===
Tests: python3-bibtexparser
Depends: @, python3-all
Restrictions: allow-stderr

## bibtexparser 2.0.0b5+really1.4.4

=== requirements.txt ===
pyparsing>=3.0.0

=== debian/changelog ===
bibtexparser (2.0.0b5+really1.4.4-1) unstable; urgency=medium

  * Team upload.
  * Remove Py2 vs 3 crumb
  * New upstream version 2.0.0b5+really1.4.4
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #1122226)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Mar 2026 00:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
@@ -13,11 +12,10 @@
                python3-pytest-xdist,
                python3-pytest-cov,
                python3-pylatexenc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bibtexparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/bibtexparser.git
 Homepage: https://github.com/sciunto-org/python-bibtexparser
-Rules-Requires-Root: no
 
 Package: python3-bibtexparser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=bibtexparser
export PYBUILD_BEFORE_TEST=cp -ar {dir}/bibtexparser {build_dir};cd {build_dir};
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/bibtexparser/tests
export PYBUILD_TEST_ARGS={build_dir}/bibtexparser/tests/
export LC_ALL=C.UTF-8

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd $(CURDIR)/docs && make html

override_dh_installdocs:
	dh_installdocs -ppython-bibtexparser-doc docs/build/html
	dh_installdocs -A
